import bpy
from bpy.props import *
from bpy.types import Node, NodeSocket
from arm.logicnode.arm_nodes import *

class TrackToNode(Node, ArmLogicTreeNode):
    '''Track To Node'''
    bl_idname = 'LNTrackToNode'
    bl_label = 'Track To'
    bl_icon = 'QUESTION'

    def init(self, context):
        self.inputs.new('ArmNodeSocketAction', 'In')
        self.inputs.new('ArmNodeSocketObject', 'Tracker')
        self.inputs.new('ArmNodeSocketObject', 'Target')
        #self.outputs.new('NodeSocketVector', 'Rotation')
        self.outputs.new('ArmNodeSocketAction', 'Out')
        
    property0: EnumProperty(
        items = [('X','X','X'),
                 ('Y','Y','Y'),
                 ('Z','Z','Z'),
                 ('-X','-X','-X'),
                 ('-Y','-Y','-Y'),
                 ('-Z','-Z','-Z')],
        name='Look', default='Z')


    property1: EnumProperty(
        items = [('X','X','X'),
                 ('Y','Y','Y'),
                 ('Z','Z','Z'),
                 ('-X','-X','-X'),
                 ('-Y','-Y','-Y'),
                 ('-Z','-Z','-Z')],
        name='UP', default='Y')

    property2: EnumProperty(
        items = [('3D','3D','3D'),
                 ('2D','2D','2D')],
        name='type', default='3D')
    
    def draw_buttons(self, context, layout):
        layout.prop(self, 'property0')
        layout.prop(self, 'property1')
        layout.prop(self, 'property2')


add_node(TrackToNode, category='Action')
